Package com.nwalsh.saxon

# Class TextFactory

java.lang.Object
com.nwalsh.saxon.TextFactory

All Implemented Interfaces:
  `com.icl.saxon.style.ExtensionElementFactory`

public class TextFactory extends Object implements com.icl.saxon.style.ExtensionElementFactory

Saxon extension element factory

$Id: TextFactory.java 5907 2006-04-27 08:26:47Z xmldoc $

Copyright (C) 2000 Norman Walsh.

This class provides a Saxon extension element factory for the Text extension element family.

Change Log:

1.0

  Initial release.

See Also:
  - `Text`

## Constructor Summary

Constructors
Constructor
Description
`TextFactory()`
Constructor for TextFactory

## Method Summary

Modifier and Type
Method
Description
`Class`
`getExtensionClass(String localname)`
Return the class that implements a particular extension element.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TextFactory

public TextFactory()

Constructor for TextFactory

Does nothing.

## Method Details

### getExtensionClass

public Class getExtensionClass(String localname)

Return the class that implements a particular extension element.

Specified by:
  `getExtensionClass` in interface `com.icl.saxon.style.ExtensionElementFactory`
Parameters:
  `localname` - The local name of the extension element.
Returns:
  The class that handles that extension element.